XreplyAIDevelopers
API ReferenceSchedules & Plans

Create a content plan

Requires scope: `plans:write`. Creates a recurring content plan.

POST
/content_plans
AuthorizationBearer <token>

A personal API key created in the dashboard (Starter, Pro, and Team plans).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/content_plans" \  -H "Content-Type: application/json" \  -d '{    "content_plan": {      "name": "Weekly build-in-public",      "schedule_day": 1,      "schedule_time": "09:00"    }  }'
{  "content_plan": {    "id": 0,    "name": "string",    "active": true,    "use_sources": true,    "platform_configs": {},    "channels": [      {        "social_account_id": 0,        "platform": "string",        "format": "string",        "board_id": "string",        "angles": [          "string"        ],        "posts_per_day": 0,        "quote_topic": "string",        "watermark_enabled": true,        "watermark_text": "string",        "watermark_every_n": 0,        "carousel_every_n": 0,        "active": true      }    ],    "content_strategy": "string",    "schedule_day": "string",    "schedule_time": "string",    "last_run_at": "2019-08-24T14:15:22Z",    "next_run_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}